import requests
import sys
import json
import os

import config

headers_json={
    'Content-Type':'application/json',
    'Authorization': 'Token {}'.format(config.POD_TOKEN)
}

payload_search_videos={
    
}

hasNext = True
url_to_fetch=config.POD_API_UPLOAD_VIDEO
while(hasNext):  
    response = requests.get(url_to_fetch, headers=headers_json, params=payload_search_videos)
    if(response.status_code != 200):
        print("ERROR get [%s] : [CODE:%s]" % (url_to_fetch,response.status_code))
    else:
        result = json.loads(response.content.decode("utf-8"))
        if(result['count'] == 0):                    
            print("Videos not found")
        else:
            for video in result['results']:
                id=video['id']
                slug=video['slug']
                mp4_orig_url=video['video']
                mp4_orig_url_start='/'.join(mp4_orig_url.split('/')[:-1])

                found_mp4 = False
                for definition in ('1080p', '720p', '360p'):
                    mp4_url='/'.join((mp4_orig_url_start,f'{id:04}',('%s.mp4' % definition)))
                    r = requests.head(mp4_url)
                    if(r.status_code == 200):
                        found_mp4 = True
                        print("[ID:%s] [SLUG:%s] [URL:%s]" % (id, slug, mp4_url))
                        break
                if(not found_mp4):
                    print("[ID:%s] [SLUG:%s] [URL:no mp4 found]" % (id,slug))
                
            if(result['next']):
                hasNext=True
                url_to_fetch=result['next']
                print("next page : %s" % url_to_fetch)                
            else:
                print("no next page")
                hasNext=False
            

        